ApiClusterTemplateConfig (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiClusterTemplateConfig

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiClusterTemplateConfig

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiClusterTemplateConfig
      extends Object

  Config Details: The config can either have a value or ref or variable.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClusterTemplateConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClusterTemplateConfig` | `autoConfig(Boolean autoConfig)`
    `boolean` | `equals(Object o)`
    `String` | `getName()` Config name
    `String` | `getRef()` Name of the reference.
    `String` | `getValue()` Config value
    `String` | `getVariable()` Referring a variable.
    `int` | `hashCode()`
    `Boolean` | `isAutoConfig()` This indicates that the value was automatically configured.
    `ApiClusterTemplateConfig` | `name(String name)`
    `ApiClusterTemplateConfig` | `ref(String ref)`
    `void` | `setAutoConfig(Boolean autoConfig)`
    `void` | `setName(String name)`
    `void` | `setRef(String ref)`
    `void` | `setValue(String value)`
    `void` | `setVariable(String variable)`
    `String` | `toString()`
    `ApiClusterTemplateConfig` | `value(String value)`
    `ApiClusterTemplateConfig` | `variable(String variable)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiClusterTemplateConfig

          public ApiClusterTemplateConfig()

  - ### Method Detail

    - #### name

          public ApiClusterTemplateConfig name(String name)

    - #### getName

          public String getName()

      Config name
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### value

          public ApiClusterTemplateConfig value(String value)

    - #### getValue

          public String getValue()

      Config value
      Returns:
        value

    - #### setValue

          public void setValue(String value)

    - #### ref

          public ApiClusterTemplateConfig ref(String ref)

    - #### getRef

          public String getRef()

      Name of the reference. If referring to a service then it will be replaced with actual service name at import time. If referring to a role then it will be replaced with the host name containing that role at import time.
      Returns:
        ref

    - #### setRef

          public void setRef(String ref)

    - #### variable

          public ApiClusterTemplateConfig variable(String variable)

    - #### getVariable

          public String getVariable()

      Referring a variable. The variable value will be provided by the user at import time. Variable name for this config. At import time the value of this variable will be provided by the ` * #ApiClusterTemplateInstantiator.Variables
      Returns:
        variable

    - #### setVariable

          public void setVariable(String variable)

    - #### autoConfig

          public ApiClusterTemplateConfig autoConfig(Boolean autoConfig)

    - #### isAutoConfig

          public Boolean isAutoConfig()

      This indicates that the value was automatically configured.
      Returns:
        autoConfig

    - #### setAutoConfig

          public void setAutoConfig(Boolean autoConfig)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.